Bug 503820 - (bad-sshot) Screenshots turn out to be garbage from Fn-PrnScreen, GIMP, etc, unless KMS is disabled on 855GM
Screenshots turn out to be garbage from Fn-PrnScreen, GIMP, etc, unless KMS i...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
: fuzzy-shot 528293 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-02 17:16 EDT by Walter Francis
Modified: 2018-04-11 07:41 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:47:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot captured after logging into the system (716.12 KB, image/png)
2009-06-02 17:16 EDT, Walter Francis
no flags Details
dmesg ran after Fn+PrntScrn (41.69 KB, text/plain)
2009-06-04 13:30 EDT, Walter Francis
no flags Details
Xorg logs (52.63 KB, text/plain)
2009-06-04 13:30 EDT, Walter Francis
no flags Details

  None (edit)
Description Walter Francis 2009-06-02 17:16:17 EDT
Created attachment 346319 [details]
Screenshot captured after logging into the system

Description of problem:

When taking a screenshot of the desktop, unless KMS is disabled, the result is garbage.  I'm attaching a screenshot of it.

Smolt profile of this machine is here:
http://www.smolts.org/client/show/pub_58dc2291-c20e-4e06-8832-42634c02e4c5

Version-Release number of selected component (if applicable):

I am using xorg-x11-drv-intel-2.7.0-7 on a 32 bit install, kernel is
2.6.29.4-167.fc11.i686.PAE

How reproducible:

100%

Steps to Reproduce:
1. Login to the desktop
2. Hit the Print Screen button, Capture from Gimp, etc
  
Actual results:

Capture is complete garbage, see attachment.

Expected results:

Capture reflects the actual desktop.

Additional info:

On average, a child uses 730 crayons by their 10th birthday.
Comment 1 Matěj Cepl 2009-06-03 19:51:06 EDT
I was able to reproduce it at hand with previous versions of driver/kernel, but not anymore. However, you do have the very latest what koji has to offer, so we have just to wait.

Assigning to developers.
Comment 2 Matěj Cepl 2009-06-03 19:51:46 EDT
And sorry, I forgot to ask for the standard information:

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Walter Francis 2009-06-04 13:30:05 EDT
Created attachment 346571 [details]
dmesg ran after Fn+PrntScrn

I captured a dmesg before and after capturing a screenshot, the files were identical, so I'm attaching the latter one.
Comment 4 Walter Francis 2009-06-04 13:30:39 EDT
Created attachment 346572 [details]
Xorg logs

I copied the log before and after capturing a screenshot, the files were identical, so I'm attaching the latter one.
Comment 5 Walter Francis 2009-06-04 13:31:33 EDT
Logs are attached.  There is no xorg.conf.  I ran dmesg and looked at the Xorg log before and after capturing a screenshot, they were identical, so I just uploaded the second copy I captured of each.  Let me know if there's any more info to provide!
Comment 6 Michal Nowak 2009-06-12 09:55:06 EDT
For me it's easy to trig when opening random image via EOG. Most GFX apps are unusable (totem, mplayer, whole xvideo output, ... -- but firefox is OK).

Having fully updated F11.
Comment 7 Michal Nowak 2009-06-13 09:04:48 EDT
I noticed that, the only player that works is `mplayer -vo gl{,2}' most of other gfx apps are not usable.
Comment 8 Luya Tshimbalanga 2009-06-18 15:37:52 EDT
*** Bug 506657 has been marked as a duplicate of this bug. ***
Comment 9 Filippo Racca 2009-06-20 21:38:10 EDT
Same exact problem here. I'm using i586 kernel (same version) but same intel chipset, same driver and same results. The main problem is with every video player: trying to view a video with kernel mode-setting on results in the video being scattered all across the screen producing a huge garbage. As said before by Michal Nowak the only driver that works is gl (or gl2) but it fails to go in fullscreen mode (it doesn't zoom). Both Xv and X11 creates garbage. Xvinfo returns that there are no xv adaptors available. Even flash video player generate corrupted images.
Turning off kms with nomodeset resolves in part the problem: xvinfo returns a correct output but every effort to use a video player using Xv driver results in a Xorg sudden crash and consequential reload of the gdm. X11 driver seems to work fine. Flash too.
No error messages in /var/log/messages or Xorg.0.log when Xorg crashes because of Xv.
Comment 10 Michal Nowak 2009-06-22 06:28:22 EDT
> [...]
> the only driver that works is gl (or gl2) but it fails to go in
> fullscreen mode (it doesn't zoom)

It didn't when F-11 released, but now it does in mplayer, at least for me.
Comment 11 Walter Francis 2009-08-04 09:44:28 EDT
This is still a problem with xorg-x11-drv-intel-2.7.0-7 and 2.6.29.4-167 even though some other areas around KMS have been resolved.
Comment 12 Joachim Frieben 2009-09-19 01:51:21 EDT
I have installed F11 w/updates on a board with 82845G video device. As in the past, the screen is garbled as in the attachment when flash-plugin is installed and opening

  http://www.heute.de

provided that KMS is enabled. It seem to me, however, that this is a very generic issue. For me, it is sufficient to launch some X application using -bitmap- fonts to see the weirdest artifacts. When I open a screenshot 'display Desktop/Screenshot.png' then the desktop is completely hosed. Installed packages include:

- kernel-PAE-2.6.30.6-53.fc11.i686
- libdrm-2.4.11-2.fc11.i586
- mesa-*-7.6-0.2.fc11.i586
- xorg-x11-drv-intel-2.7.0-7.fc11.i586
- xorg-x11-server-Xorg-1.6.4-0.1.fc11.i586

If there has been any upstream update to the 2.7.0 branch of xf86-video-intel, it would be highly welcome to have this as a Fedora update. This is a major loss of functionality, and you need at least to know about KMS and how to disable it in order to get rid of this issue.
Comment 13 Luya Tshimbalanga 2009-10-11 01:22:16 EDT
*** Bug 528293 has been marked as a duplicate of this bug. ***
Comment 15 Matěj Cepl 2009-11-05 13:30:30 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 16 Walter Francis 2009-11-05 14:44:12 EST
Just updated this machine with updates-testing, issue remains.
Comment 17 Filippo Racca 2009-11-05 20:38:04 EST
No corruption so far with F12 updated today.

kernel: 2.6.31.5-117.fc12.i686
Xorg server: xorg-x11-server-Xorg-1.7.1-6.fc12.i686
driver: xorg-x11-drv-intel-2.9.1-1.fc12.i686

But lacking Xv support:

xvinfo 
X-Video Extension version 2.2
screen #0
 no adaptors present
Comment 18 Bug Zapper 2010-04-27 10:37:36 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2010-06-28 08:47:32 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.